aboutsummaryrefslogtreecommitdiffstats
path: root/coin
diff options
context:
space:
mode:
Diffstat (limited to 'coin')
-rwxr-xr-xcoin/provisioning/common/install_xcode.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/coin/provisioning/common/install_xcode.sh b/coin/provisioning/common/install_xcode.sh
index 82c05a45..c6f00ee7 100755
--- a/coin/provisioning/common/install_xcode.sh
+++ b/coin/provisioning/common/install_xcode.sh
@@ -51,6 +51,7 @@ function InstallXCode()
{
ExceptionCPIO=103
ExceptionAcceptLicense=105
+ ExceptionDeveloperMode=113
sourceFile=$1
version=$2
@@ -63,6 +64,9 @@ function InstallXCode()
echo "Accept license"
sudo xcodebuild -license accept || throw $ExceptionAcceptLicense
+ echo "Enabling developer mode, so that using lldb does not require interactive password entry"
+ sudo /usr/sbin/DevToolsSecurity -enable || throw $ExceptionDeveloperMode
+
echo "Xcode = $version" >> ~/versions.txt
)
catch || {
@@ -71,6 +75,10 @@ function InstallXCode()
echo "Failed to unarchive .cpio."
exit 1;
;;
+ $ExceptionDeveloperMode)
+ echo "Failed to enable developer mode."
+ exit 1;
+ ;;
$ExceptionAcceptLicense)
echo "Failed to accept license."
exit 1;